	SUBROUTINE ASC_CHECK ( gdfile, igdfln, lun, proj, kx, ky, 
     +			       gltln, angle, iret )
C************************************************************************
C* ASC_CHECK								*
C*                                                                      *
C* This routine will display file information and allow the user to	*
C* exit, if the information is not correct.				*
C*                                                                      *
C**                                                                     *
C* Log:									*
C* S. Jacobs/SSAI        1/92                                           *
C************************************************************************
	INCLUDE		'DGCMN.CMN'
C*
        CHARACTER*(*)   gdfile, proj
	REAL		gltln(*), angle(*)
C*
	CHARACTER	ans*4, msg1*72, msg2*72
	REAL		rnvblk(256)
C*
	DATA msg1 / 'Please run the program again with the' /
	DATA msg2 / 'correct GEMPAK file.' /
C------------------------------------------------------------------------
1000	FORMAT ( //, ' The header for the GEMPAK grid file -- ', A, /,
     +		 ' -- has the following information: ', / )
1010	FORMAT ( '    Projection         : ', A, /,
     +		 '    Angles             : ', F9.2, F9.2, F9.2, /,
     +		 '    KXKY               : ', I6, I6, /,
     +		 '    Lower Left Corner  : ', F9.2, F9.2, /,
     +		 '    Upper Right Corner : ', F9.2, F9.2, // )
1020	FORMAT ( '    Projection         : ', A, /,
     +		 '    KXKY               : ', I6, I6, /,
     +		 '    Lower Left Corner  : ', F9.2, F9.2, /,
     +		 '    Upper Right Corner : ', F9.2, F9.2, // )
C========================================================================
	iret = 0
C
C*	Get grid info.
C
	CALL GD_GNAV ( igdfln, rnvblk, navsz, iret )
	CALL GR_RNAV ( rnvblk, proj, kx, ky, iret )
C
	gltln(1) = rnvblk(7)
	gltln(2) = rnvblk(8)
	gltln(3) = rnvblk(9)
	gltln(4) = rnvblk(10)
C
	angle(1) = rnvblk(11)
	angle(2) = rnvblk(12)
	angle(3) = rnvblk(13)
C
C*	Display grid info.
C
	CALL ST_LSTR ( gdfile, ilens, ier )
	WRITE ( 6, 1000 ) gdfile(:ilens)
	IF  ( rnvblk(1) .eq. 1. )  THEN
	    WRITE ( 6, 1020 ) proj, kx, ky,
     +			      gltln(1), gltln(2), gltln(3), gltln(4)
	ELSE
	    WRITE ( 6, 1010 ) proj, angle(1), angle(2), angle(3),
     +			      kx, ky,
     +			      gltln(1), gltln(2), gltln(3), gltln(4)
	END IF
C
C*	Give the user a chance to stop the program.
C
	CALL TM_ACCP ( ier )
	IF  ( ier .ne. 1 )  THEN
C
C*	    If the grid header is not correct, print a message,
C*	    close the files, and send back an error code.
C
	    CALL TM_PRM2 ( ' ', .false., .true., ier )
	    CALL TM_PRM2 ( msg1, .false., .false., ier )
	    CALL TM_PRM2 ( msg2, .false., .true., ier )
	    CALL TM_PRM2 ( ' ', .false., .true., ier )
	    CALL ASC_CLOSE ( igdfln, lun, ier )
	    iret = -1
	END IF
C*
	RETURN
	END
