	SUBROUTINE ASC_INTRO ( gdfile, infile, iret )
C************************************************************************
C* ASC_INTRO								*
C*									*
C* This routine will get user input for the names of the files to be	*
C* used. 								*
C*									*
C**									*
C* Log:									*
C* S. Jacobs/SSAI	 1/92						*
C************************************************************************
	CHARACTER*(*)	gdfile, infile
C*
	CHARACTER	msg1*72, msg2*72, newfil*132
C*
	LOGICAL		exist
C*
	DATA msg1 / 'Enter the name of the ASCII data file' /
	DATA msg2 / 'Enter the name of the GEMPAK grid file' /
C------------------------------------------------------------------------
1000	FORMAT ( //, 17X, 'This program will read data from an ',
     +			 'ASCII data' )
1010	FORMAT ( 12X, 'file and write the data to an existing ',
     +		     'GEMPAK grid file.', // )
C
3000	FORMAT ( /, 10X, 'The file ', A, ' does not exist.' )
3010	FORMAT ( /, 20X, 'Creating file...', // )
C========================================================================
C*	Setup GEMPAK.
C
	CALL IN_BDTA ( ier )
C
	CALL TM_PAGE ( ier )
C
C*	Print introduction.
C
	WRITE ( 6, 1000 )
	WRITE ( 6, 1010 )
C
C*	Get ASCII file name.
C
	CALL TM_PRM2 ( ' ', .false., .true., ier )
	CALL TM_CHAR ( msg1, .false., .false., 1, infile, nstr, ierr )
	IF  ( ierr .gt. 0 )  THEN
	    iret = -1
	    RETURN
	END IF
C
C*	Get GEMPAK file name.
C
	CALL TM_PRM2 ( ' ', .false., .true., ier )
	CALL TM_CHAR ( msg2, .false., .false., 1, gdfile, nstr, ierr )
	IF  ( ierr .gt. 0 )  THEN
	    iret = -1
	    RETURN
	END IF
C
C*	If GEMPAK file does not exist, then return an error code, and
C*	print a message to the user.
C
	CALL FL_INQR ( gdfile, exist, newfil, iret )
	IF  ( .not. exist )  THEN
	    CALL ST_LSTR ( gdfile, ilens, ier )
	    WRITE ( 6, 3000 ) gdfile(:ilens)
	    WRITE ( 6, 3010 )
	    CALL ASC_CFIL ( gdfile, ier )
	END IF
C*
	RETURN
	END
