	SUBROUTINE ASC_CFIL ( gdfile, iret )
C************************************************************************
C* ASC_CFIL								*
C*									*
C* This subroutine will create a grid file if one does not exist.	*
C*									*
C* ASC_CFIL ( GDFILE, IRET )						*
C*									*
C**									*
C* Log:									*
C* S. Jacobs/SSAI	 3/92						*
C************************************************************************
	INCLUDE		'GEMPRM.PRM'
C*
	CHARACTER*(*)	gdfile
C*
	CHARACTER	proj*24, cprj*24, garea*72, kxky*24, maxgrd*24,
     +			cdproj*4
C*
	REAL		rltln(4), ebnds(4), dbnds(4), angle(3),
     +			rnvblk(256), anlblk(128), zmarg(4), centrd(2)
C*
	INTEGER		iarr(2)
C*
	LOGICAL		angflg
C------------------------------------------------------------------------
999	FORMAT ( A )
1000	FORMAT ( 'Enter the full GEMPAK projection information  : ', $ )
1001	FORMAT ( 'Enter the GEMPAK lat/lon bounds (neg for West) ', /,
     +           '     ll lat; ll lon; ur lat; ur lon           : ', $ )
1002	FORMAT ( 'Enter the GEMPAK kxky points input (eg,15;13) : ', $ )
1003	FORMAT ( 'Enter the GEMPAK maximum number of grids      : ', $ )
C========================================================================
	CALL GG_INIT ( 1, ierr )
C
C*	Read proj.
C
	WRITE ( 6, 1000 )
	READ  ( 5,  999 ) proj
	CALL GG_PROJ  ( proj, cprj, angle, zmarg, angflg, ier )
	IF  ( angflg )  THEN
	    angle1 = angle(1)
	    angle2 = angle(2)
	    angle3 = angle(3)
	ELSE
	    angle1 = RMISSD
	    angle2 = RMISSD
	    angle3 = RMISSD
	END IF
C
C*	Read garea.
C
	WRITE ( 6, 1001 )
	READ  ( 5,  999 ) garea
	CALL LC_GARE ( garea, rltln, cdproj, centrd, ier )
C
C*	Read kxky.
C
	WRITE ( 6, 1002 )
	READ  ( 5,  999 ) kxky
	CALL ST_ILST  ( kxky, ';', 0, 2, iarr, num, ier )
	ikx = iarr(1)
	iky = iarr(2)
C
C*	Read kxky.
C
	WRITE ( 6, 1003 )
	READ  ( 5,  999 ) maxgrd
	CALL ST_NUMB ( maxgrd, imax, ier )
C
C*	Fill navigaton block.
C
	CALL GR_MNAV ( cprj, ikx, iky, rltln(1), rltln(2), 
     +		       rltln(3), rltln(4), angle1, angle2,
     +		       angle3, angflg, rnvblk, ier1 )
C
C*	Set anlyss.
C
	deltan = 4.
	DO  i = 1, 4
	    ebnds(i) = 2.
	    dbnds(i)  = RMISSD
	END DO
C
	CALL GR_MBN2 ( deltan, ebnds, dbnds, rnvblk, anlblk, ier2 )
C
	navsz  = 256
	ianlsz = 128
	ihdrsz = 2
C
	CALL GD_CREF ( gdfile, navsz, rnvblk, ianlsz, anlblk,
     +		       ihdrsz, imax, igdfln, iret )
C
	CALL GD_CLOS ( igdfln, ier )
C*
	RETURN
	END
